# ObjectDeque | data-structure-typed
Documentation for data-structure-typed

# Class ObjectDeque<T>

#### Type Parameters

- #### T

#### Hierarchy

- ObjectDeque

- Defined in src/data-structures/queue/deque.ts:16

#####
Index

### Constructors

constructor

### Properties

_capacity
_first
_last
_nodes
_size

### Methods

get
isEmpty
offerFirst
offerLast
peekFirst
peekLast
pollFirst
pollLast
size

## Constructors

### constructor

- new ObjectDeque<T>(capacity?): ObjectDeque <T>

- #### Type Parameters

  - #### T

  #### Parameters

  - ##### `Optional` capacity: number

  #### Returns ObjectDeque <T>

  - Defined in src/data-structures/queue/deque.ts:23

## Properties

### `Protected` _capacity

_capacity: number = Number.MAX_SAFE_INTEGER

- Defined in src/data-structures/queue/deque.ts:18

### `Protected` _first

_first: number = -1

- Defined in src/data-structures/queue/deque.ts:19

### `Protected` _last

_last: number = -1

- Defined in src/data-structures/queue/deque.ts:20

### `Protected` _nodes

_nodes: {
[key: number]: T;
} = {}

#### Type declaration

- ##### [key: number]: T

- Defined in src/data-structures/queue/deque.ts:17

### `Protected` _size

_size: number = 0

- Defined in src/data-structures/queue/deque.ts:21

## Methods

### get

- get(index): null | NonNullable<T>

- #### Parameters

  - ##### index: number

  #### Returns null | NonNullable<T>

  - Defined in src/data-structures/queue/deque.ts:82

### isEmpty

- isEmpty(): boolean

- #### Returns boolean

  - Defined in src/data-structures/queue/deque.ts:86

### offerFirst

- offerFirst(value): void

- #### Parameters

  - ##### value: T

  #### Returns void

  - Defined in src/data-structures/queue/deque.ts:31

### offerLast

- offerLast(value): void

- #### Parameters

  - ##### value: T

  #### Returns void

  - Defined in src/data-structures/queue/deque.ts:43

### peekFirst

- peekFirst(): undefined | T

- #### Returns undefined | T

  - Defined in src/data-structures/queue/deque.ts:64

### peekLast

- peekLast(): undefined | T

- #### Returns undefined | T

  - Defined in src/data-structures/queue/deque.ts:78

### pollFirst

- pollFirst(): undefined | T

- #### Returns undefined | T

  - Defined in src/data-structures/queue/deque.ts:55

### pollLast

- pollLast(): undefined | T

- #### Returns undefined | T

  - Defined in src/data-structures/queue/deque.ts:68

### size

- size(): number

- #### Returns number

  - Defined in src/data-structures/queue/deque.ts:27

Generated using TypeDoc